## yorick-cubeview 1.4

=== Makefile ===
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=/usr/local/share/yorick-2.1.04
Y_EXE=/usr/local/share/yorick-2.1.04/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/usr/local/share/yorick-2.1.04
Y_EXE_SITE=/usr/local/share/yorick-2.1.04

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=cubeview
PKG_I=

OBJS=

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS=
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS=
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=*test*.fits

# autoload file for this package, if any
PKG_I_START=cubeview_start.i
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=cubeview.i bear.i

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

ywrap.c:
	touch ywrap.c

BIN_DIR=$(Y_HOME)/bin
MAN_DIR=$(Y_SITE)/man
DEST_BIN_DIR=$(DESTDIR)/$(BIN_DIR)
DEST_MAN_DIR=$(DESTDIR)/$(MAN_DIR)
DEST_PYTHON_DIR=$(DEST_Y_SITE)/python
DEST_GLADE_DIR=$(DEST_Y_SITE)/glade

install::
	rm $(DEST_Y_HOME)/lib/cubeview.so
	-rmdir $(DEST_Y_HOME)/lib
	-rmdir $(DEST_Y_SITE)/i0
	mkdir -p $(DEST_BIN_DIR)
	cp cubeview $(DEST_BIN_DIR)
	chmod a+x $(DEST_BIN_DIR)/cubeview	
	mkdir -p $(DEST_PYTHON_DIR)
	cp cubeview.py $(DEST_PYTHON_DIR)
	chmod a+x $(DEST_PYTHON_DIR)/cubeview.py
	mkdir -p $(DEST_GLADE_DIR)
	cp cubeview.glade $(DEST_GLADE_DIR)
	mkdir -p $(DEST_MAN_DIR)/man1
	cp cubeview.1 $(DEST_MAN_DIR)/man1
	gzip -9 $(DEST_MAN_DIR)/man1/cubeview.1

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

# -------------------------------------------------------- end of Makefile

## yorick-cubeview 1.5

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# $Id: Makefile,v 1.1 2008/03/07 10:03:02 paumard Exp $
 # these values filled in by    yorick -batch make.i
 Y_MAKEDIR=/usr/local/share/yorick-2.1.04
 Y_EXE=/usr/local/share/yorick-2.1.04/bin/yorick

=== debian/changelog ===
yorick-cubeview (1.5-1) unstable; urgency=low

  * New upstream release
  * convert to 3.0 (quilt) format
  * bump policy to 3.8.4
  * change section to science
  * fix watch file

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 08 Apr 2010 16:51:01 +0200

yorick-cubeview (1.4-1) unstable; urgency=low

  * New upstream release
  * Better long description
  * Include xpm icons

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 03 Mar 2008 21:44:24 +0100

yorick-cubeview (1.2.1-1) unstable; urgency=low

  * Initial Release. Closes: #460856

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 17 Jan 2008 14:31:31 +0100

=== debian/control ===
Source: yorick-cubeview
Section: science
Priority: optional
Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
Build-Depends: debhelper (>= 5.0.0)
Build-Depends-Indep: yorick-dev (>= 2.1.05)
Standards-Version: 3.8.4
DM-Upload-Allowed: yes

Package: yorick-cubeview
Architecture: all
Depends: yorick (>= 2.1.05), yorick-yutils (>= 1.3), python-glade2, python,
	 ${misc:Depends}
Description: a 3D FITS data viewer specialized in spectro-imaging
 Cubeview is a viewer for 3D data store in FITS files, a file format
 extensively used among astronomers. It is specialized in displaying
 spectro-imaging data but can be used to do basic visualization on any
 FITS file containing a 3D array.
 .
 Cubeview features a stand-alone graphical user interface which
 adheres to the GTK+ look-and-feel. Being written (mostly) in
 Yorick, it is inherently scriptable. A system of hooks allows custom
 actions to be repeated automatically when certain events occur.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -Rf build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installyorick --no-make-install
	dh_installdocs
	dh_installman
	dh_installmenu
	dh_installchangelogs changelog
	dh_installexamples
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## yorick-cubeview 1.6

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
-# $Id: Makefile,v 1.1 2008/03/07 10:03:02 paumard Exp $
+# $Id: Makefile,v 1.1 2008-03-07 10:03:02 paumard Exp $
 # these values filled in by    yorick -batch make.i
-Y_MAKEDIR=/usr/local/share/yorick-2.1.04
-Y_EXE=/usr/local/share/yorick-2.1.04/bin/yorick
+Y_MAKEDIR=
+Y_EXE=
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/local/share/yorick-2.1.04
-Y_EXE_SITE=/usr/local/share/yorick-2.1.04
+Y_EXE_HOME=
+Y_EXE_SITE=
+Y_HOME_PKG=
 
 # ----------------------------------------------------- optimization flags
 
@@ -72,6 +73,7 @@
 DEST_MAN_DIR=$(DESTDIR)/$(MAN_DIR)
 DEST_PYTHON_DIR=$(DEST_Y_SITE)/python
 DEST_GLADE_DIR=$(DEST_Y_SITE)/glade
+DEST_PKG_INSTALLED_DIR=$(DEST_Y_SITE)/packages/installed
 
 install::
 	rm $(DEST_Y_HOME)/lib/cubeview.so
@@ -88,6 +90,8 @@
 	mkdir -p $(DEST_MAN_DIR)/man1
 	cp cubeview.1 $(DEST_MAN_DIR)/man1
 	gzip -9 $(DEST_MAN_DIR)/man1/cubeview.1
+	mkdir -p $(DEST_PKG_INSTALLED_DIR)
+	cp cubeview.info $(DEST_PKG_INSTALLED_DIR)
 
 # simple example:
 #myfunc.o: myapi.h

=== debian/changelog ===
yorick-cubeview (1.6-2) unstable; urgency=low

  * Amend control to comply with the Debian Science Policy

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 26 Jun 2012 17:17:23 +0200

yorick-cubeview (1.6-1) unstable; urgency=low

  * New upstream release
  * check against standards version 3.9.3
  
 -- Thibaut Paumard <paumard@users.sourceforge.net>  Sat, 14 Apr 2012 00:21:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,21 @@
 Source: yorick-cubeview
 Section: science
-Priority: optional
-Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
+Priority: extra
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
 Build-Depends: debhelper (>= 5.0.0)
 Build-Depends-Indep: yorick-dev (>= 2.1.05)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
+Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick-cubeview.git
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick-cubeview.git
+Homepage: http://github.com/paumard/yorick-cubeview
 
 Package: yorick-cubeview
 Architecture: all
 Depends: yorick (>= 2.1.05), yorick-yutils (>= 1.3), python-glade2, python,
 	 ${misc:Depends}
-Description: a 3D FITS data viewer specialized in spectro-imaging
+Description: 3D FITS data viewer specialized in spectro-imaging
  Cubeview is a viewer for 3D data store in FITS files, a file format
  extensively used among astronomers. It is specialized in displaying
  spectro-imaging data but can be used to do basic visualization on any

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 	dh_testdir
 	touch configure-stamp
 
-build: build-stamp
+build: build-arch build-indep
+build-arch build-indep: build-stamp
 build-stamp: configure-stamp 
 	touch build-stamp
 
@@ -49,4 +50,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build clean binary-indep binary-arch binary install configure build-arch build-indep

=== debian/watch ===
version=3
http://www.lesia.obspm.fr/perso/thibaut-paumard/yorick/index.html cubeview-(.*)\.tgz
http://www.lesia.obspm.fr/perso/thibaut-paumard/yorick/index.html cubeview-(.*)\.tbz
http://www.lesia.obspm.fr/perso/thibaut-paumard/yorick/index.html cubeview-(.*)\.tar.bz2

## yorick-cubeview 2.2

=== Makefile ===
--- 
+++ 
@@ -71,7 +71,7 @@
 MAN_DIR=$(Y_SITE)/man
 DEST_BIN_DIR=$(DESTDIR)/$(BIN_DIR)
 DEST_MAN_DIR=$(DESTDIR)/$(MAN_DIR)
-DEST_PYTHON_DIR=$(DEST_Y_SITE)/python
+DEST_DATA_DIR=$(DEST_Y_SITE)/data
 DEST_GLADE_DIR=$(DEST_Y_SITE)/glade
 DEST_PKG_INSTALLED_DIR=$(DEST_Y_SITE)/packages/installed
 
@@ -82,9 +82,8 @@
 	mkdir -p $(DEST_BIN_DIR)
 	cp cubeview $(DEST_BIN_DIR)
 	chmod a+x $(DEST_BIN_DIR)/cubeview	
-	mkdir -p $(DEST_PYTHON_DIR)
-	cp cubeview.py $(DEST_PYTHON_DIR)
-	chmod a+x $(DEST_PYTHON_DIR)/cubeview.py
+	mkdir -p $(DEST_DATA_DIR)
+	cp cubeview-big.png $(DEST_DATA_DIR)
 	mkdir -p $(DEST_GLADE_DIR)
 	cp cubeview.glade $(DEST_GLADE_DIR)
 	mkdir -p $(DEST_MAN_DIR)/man1

=== debian/changelog ===
yorick-cubeview (2.2-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Use secure URI in Homepage field.
  * Refer to specific version of license GPL-2+.
  * watch file standard 4 (routine-update)
  * Drop menu file since there is a desktop file
  * Fix lintian-overrides

 -- Andreas Tille <tille@debian.org>  Thu, 09 Jan 2025 14:04:40 +0100

yorick-cubeview (2.2-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965916)

 -- Adrian Bunk <bunk@debian.org>  Wed, 19 Jan 2022 13:03:55 +0200

yorick-cubeview (2.2-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 12:25:53 +0100

yorick-cubeview (2.2-2) unstable; urgency=low

  * Bug fix: "FTBFS: make[1]: *** No rule to make target `/Make&#39;.
    Stop.", thanks to David Suárez (Closes: #724178).

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 01 Oct 2013 23:20:17 -0600

yorick-cubeview (2.2-1) unstable; urgency=low

  * New upstream release
  * Simplify packaging

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 23 Jul 2013 12:08:53 -0400

=== debian/control ===
Source: yorick-cubeview
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: yorick-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/yorick-cubeview
Vcs-Git: https://salsa.debian.org/science-team/yorick-cubeview.git
Homepage: https://github.com/paumard/yorick-cubeview

Package: yorick-cubeview
Architecture: all
Depends: yorick,
         yorick-yutils,
         yorick-gy,
         ${misc:Depends}
Description: 3D FITS data viewer specialized in spectro-imaging
 Cubeview is a viewer for 3D data store in FITS files, a file format
 extensively used among astronomers. It is specialized in displaying
 spectro-imaging data but can be used to do basic visualization on any
 FITS file containing a 3D array.
 .
 Cubeview features a stand-alone graphical user interface which
 adheres to the GTK+ look-and-feel. Being written in
 Yorick, it is inherently scriptable. A system of hooks allows custom
 actions to be repeated automatically when certain events occur.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	echo "Testing requires interactivity"

override_dh_auto_install-indep:
	dh_installyorick --no-make-install

override_dh_auto_clean:
	./configure
	make distclean

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/yorick-cubeview-$1.tar.gz/ \
  https://github.com/paumard/yorick-cubeview/tags .*/cv_(\d[\d\.]+)\.tar\.gz
